Bug 23363 - Clicking on shipping cost invoice link from spent.pl causes internal server error
Summary: Clicking on shipping cost invoice link from spent.pl causes internal server e...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Liz Rea
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-23 14:50 UTC by Liz Rea
Modified: 2019-08-28 15:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23363 - Fix Internal Server Error when clicking on shipment cost invoice link (2.21 KB, patch)
2019-07-23 15:36 UTC, Liz Rea (ByWater)
Details | Diff | Splinter Review
Bug 23363 - Fix Internal Server Error when clicking on shipment cost invoice link (2.32 KB, patch)
2019-07-23 15:38 UTC, Liz Rea (ByWater)
Details | Diff | Splinter Review
Bug 23363: Fix Internal Server Error when clicking on shipment cost invoice link (2.37 KB, patch)
2019-07-25 17:55 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 23363: (QA follow-up) Fix indentation (817 bytes, patch)
2019-07-25 17:55 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-07-23 14:50:44 UTC
After bug 22541, clicking the link to the shipment costs on spent.pl causes an internal server error. We should fix that.
Comment 1 Liz Rea (ByWater) 2019-07-23 15:36:41 UTC
Created attachment 91748 [details] [review]
Bug 23363 - Fix Internal Server Error when clicking on shipment cost invoice link

To test:

On the fund detail page, have some shipment costs associated with a fund

an example would be cgi-bin/koha/acqui/spent.pl?fund=<your fund>&fund_code=<your
code>

Click the link for the fund, without this patch it will give an internal
server error.

With this patch, the shipment invoice will be loaded.
Comment 2 Liz Rea (ByWater) 2019-07-23 15:38:53 UTC
Created attachment 91749 [details] [review]
Bug 23363 - Fix Internal Server Error when clicking on shipment cost invoice link

To test:

On the fund detail page, have some shipment costs associated with a fund

an example would be cgi-bin/koha/acqui/spent.pl?fund=<your fund>&fund_code=<your
code>

Click the link for the fund, without this patch it will give an internal
server error.

With this patch, the shipment invoice will be loaded.
Signed-off-by: Jason DeShaw <JDeShaw@fargolibrary.org>
Signed-off-by: Laurel Moran <lmoran@sdlawlibrary.org>
Comment 3 Josef Moravec 2019-07-25 17:55:35 UTC
Created attachment 91772 [details] [review]
Bug 23363: Fix Internal Server Error when clicking on shipment cost invoice link

To test:

On the fund detail page, have some shipment costs associated with a fund

an example would be cgi-bin/koha/acqui/spent.pl?fund=<your fund>&fund_code=<your
code>

Click the link for the fund, without this patch it will give an internal
server error.

With this patch, the shipment invoice will be loaded.
Signed-off-by: Jason DeShaw <JDeShaw@fargolibrary.org>
Signed-off-by: Laurel Moran <lmoran@sdlawlibrary.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2019-07-25 17:55:40 UTC
Created attachment 91773 [details] [review]
Bug 23363: (QA follow-up) Fix indentation

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Martin Renvoize 2019-07-26 10:19:30 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-08-09 12:26:55 UTC
Pushed to 19.05.x for 19.05.03
Comment 7 Lucas Gass 2019-08-28 15:58:17 UTC
backported to 18.11.x for 18.11.09